using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PipeInner : MonoBehaviour
{
    private void OnTriggerEnter2D(Collider2D other)
    {
        if (other.gameObject.layer == 8)//8ÊÇbubble
        {
            other.gameObject.layer = 11;//11ÊÇInpipe
        }
    }

    private void OnTriggerExit2D(Collider2D collision)
    {
        if (collision.gameObject.layer == 11)
        {
            collision.gameObject.layer = 8;
        }
    }

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }
}
